Credential templates
Get a credential template
Use this endpoint to get a specific credential template (group).
Naming update
Groups are being renamed to Credential Templates to better reflect their purpose. This is a naming update only — all functionality remains the same.
During the transition, you may still see both terms used interchangeably across the API, app, and existing integrations.
Authorization
BearerAuth AuthorizationBearer <token>
Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.
In: header
Path Parameters
id*string
The unique ID of the credential template (group).
Header Parameters
Certifier-Version*string
API version header. Required for all requests.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.certifier.io/v1/groups/01g90279gp5sbmfek7wymcsvec" \ -H "Certifier-Version: 2022-10-26"{
"id": "01g90279gp5sbmfek7wymcsvec",
"name": "Financial Markets",
"learningEventUrl": "https://www.coursera.org/learn/financial-markets-global",
"designIds": [
"01fpwtztwf7sacca5r0c483mnm",
"01hz2ej4yzdcfkq9fa78nhyj0x"
],
"certificateDesignId": "01fpwtztwf7sacca5r0c483mnm",
"badgeDesignId": "01hz2ej4yzdcfkq9fa78nhyj0x",
"createdAt": "2022-01-01T00:00:00.000Z",
"updatedAt": "2022-01-01T00:00:00.000Z"
}{
"error": {
"code": "missing_version",
"message": "The request is missing the required Certifier-Version header"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid authentication token was not provided with the request"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource does not exist"
}
}{
"error": {
"code": "rate_limited",
"message": "You have exceeded the rate limit"
}
}{
"error": {
"code": "internal_server_error",
"message": "There was a problem on Certifier's end"
}
}